# Replace the text below to customize your site
site_name: Rodrigo Dearmas - UTEC & Fab Lab Barcelona
site_description: Especialización en Fabricación Digital e Innovación
site_author: Rodrigo Dearmas
copyright: Copyright 2021 "Rodrigo Dearmas" - Creative Commons Attribution Non Commercial

repo_name: 'BoatDragAlarm : GitLab Repo'
site_url: https://rodrigodearmas.gitlab.io/boatdragalarm/
repo_url: 'https://gitlab.com/rodrigodearmas/boatdragalarm'

extra:
  social:
    # For other social icons at https://squidfunk.github.io/mkdocs-material/setup/adding-social-links/
    - icon: fontawesome/brands/medium
      link: https://medium.com/
    - icon: fontawesome/brands/instagram
      link: https://instagram.com/
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/
    - icon: fontawesome/brands/linkedin
      link: "https://www.linkedin.com/in/"
    - icon: fontawesome/brands/github
      link: "https://github.com/"



theme:
  name: material
  palette:
    scheme: slate
    # try other colors https://squidfunk.github.io/mkdocs-material/getting-started/#primary-colors
    primary: blue
    accent: white
  font:
    # See available fonts at https://fonts.google.com/
    text: Be Vietnam
    code: Cutive Mono
  icon:
    logo: material/memory
  favicon: images/favicon.svg
  features:
    - navigation.tabs

plugins:
  - search
  - git-revision-date-localized:
      fallback_to_build_date: true

markdown_extensions:
  - extra
  - smarty
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - codehilite:
      guess_lang: false
  - toc:
      permalink: true
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true

extra_css:
  - stylesheets/extra.css
  - https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css
